import {
  Dialog as TDialog,
  Tooltip as TTooltip,
  Pagination as TPagination,
} from 'tdesign-vue-next';

const components = [TDialog, TTooltip, TPagination];
// 无法循环挂载的组件--单独拎出来
const oncomponents = [];
export default {
  install(app: any) {
    components.forEach((component, index) => {
      app.component(component.name, component);
    });
    // app.component('t-table', oncomponents[0]);
    // app.component('t-icon', oncomponents[1]);
  },
};
